## populations 1.2.33

=== CMakeLists.txt ===
#http://www.cmake.org/Wiki/CMake:Packaging_With_CPack
cmake_minimum_required(VERSION 2.6)
PROJECT(populations CXX C)

#cpack -G TGZ --config CPackSourceConfig.cmake
# cpack -G TGZ --config CPackSourceConfig.cmake


#.dput.cf
#[olivier-langella]
#fqdn = ppa.launchpad.net
#method = ftp
#incoming = ~olivier-langella/ppa/ubuntu/
#login = olivier-langella
#allow_unsigned_uploads = 0
#
#  debuild -S -sa
# dput -f olivier-langella *changes




message ("compiler : ${CMAKE_BASE_NAME}")


# cross compilation Win32 :
#cd build_win32
#export CC=/usr/bin/i586-mingw32msvc-gcc
#export CXX=/usr/bin/i586-mingw32msvc-g++
#INCLUDE(${populations_SOURCE_DIR}/win32/Toolchain-mingw32.cmake)
#cmake -DCMAKE_TOOLCHAIN_FILE=../win32/Toolchain-mingw32.cmake ..

#IF (MINGW32)
#	ADD_DEFINITIONS(-DCOMPILATION_MINGW32)
#	MESSAGE(coucou)
#	SET( CMAKE_BUILD_TYPE "Debug")
#	SET(CMAKE_CXX_FLAGS_DEBUG "-g")
#ELSE (MINGW32)
#	SET( CMAKE_BUILD_TYPE "Release")
#ENDIF(MINGW32)


IF ( CMAKE_BASE_NAME MATCHES "cl")
	message ("on est sous Windows")
	SET( CMAKE_BUILD_TYPE "Release")
	SET( WIN32 "windows")
ELSE (CMAKE_BASE_NAME MATCHES "cl")
	SET( CMAKE_BUILD_TYPE "Release")
	#SET( CMAKE_BUILD_TYPE "Debug")
ENDIF(CMAKE_BASE_NAME MATCHES "cl")

IF ( CMAKE_BUILD_TYPE MATCHES "Release")
	MESSAGE("compiling as release version")
	ADD_DEFINITIONS("-DQT_NO_DEBUG_OUTPUT")
ELSE ( CMAKE_BUILD_TYPE MATCHES "Release" )
	MESSAGE("compiling as debug version")
ENDIF( CMAKE_BUILD_TYPE MATCHES "Release" )


#CMAKE_CXX_FLAGS
#CMAKE_CXX_FLAGS_DEBUG           -g
#CMAKE_CXX_FLAGS_MINSIZEREL      -Os -DNDEBUG
#CMAKE_CXX_FLAGS_RELEASE         -O3 -DNDEBUG
#CMAKE_CXX_FLAGS_RELWITHDEBINFO  -O2 -g


SET(CPACK_CMAKE_GENERATOR "Unix Makefiles")
SET(CPACK_GENERATOR "STGZ;TGZ;TZ")
#SET(CPACK_INSTALL_CMAKE_PROJECTS "/tmp;Populations;src;/src")
#SET(CPACK_NSIS_DISPLAY_NAME "CMake 2.5")
SET(CPACK_OUTPUT_CONFIG_FILE "./CPackConfig.cmake")
SET(CPACK_PACKAGE_DESCRIPTION_FILE ${populations_SOURCE_DIR}/COPYING)
SET(CPACK_PACKAGE_DESCRIPTION_SUMMARY "Populations is population genetic software")
SET(CPACK_PACKAGE_EXECUTABLES "populations")
SET(CPACK_PACKAGE_FILE_NAME "populations-1.2.32-Linux-i686")
SET(CPACK_PACKAGE_INSTALL_DIRECTORY "populations 1.2.32")
SET(CPACK_PACKAGE_INSTALL_REGISTRY_KEY "populations 1.2.32")
SET(CPACK_PACKAGE_NAME "populations")
SET(CPACK_PACKAGE_VENDOR "CNRS")
SET (POPULATIONS_VERSION "1.2.32")
SET(CPACK_PACKAGE_VERSION ${POPULATIONS_VERSION})
SET(CPACK_PACKAGE_VERSION_MAJOR "1")
SET(CPACK_PACKAGE_VERSION_MINOR "2")
SET(CPACK_PACKAGE_VERSION_PATCH "32")
SET(CPACK_RESOURCE_FILE_LICENSE ${populations_SOURCE_DIR}/COPYING)
SET(CPACK_RESOURCE_FILE_README ${populations_SOURCE_DIR}/README)
SET(CPACK_RESOURCE_FILE_WELCOME ${populations_SOURCE_DIR}/INSTALL)
SET(CPACK_RESOURCE_FILE_LICENSE ${populations_SOURCE_DIR}/ChangeLog)
SET(CPACK_SOURCE_GENERATOR "TGZ;TZ")
SET(CPACK_SOURCE_OUTPUT_CONFIG_FILE "./CPackSourceConfig.cmake")
SET(CPACK_SOURCE_PACKAGE_FILE_NAME "populations-1.2.32")
SET(CPACK_SOURCE_STRIP_FILES "")
SET(CPACK_STRIP_FILES "bin/populations")
SET(CPACK_SYSTEM_NAME "Linux-i686")
SET(CPACK_TOPLEVEL_TAG "Linux-i686")


SET(CPACK_SOURCE_IGNORE_FILES 
	"/devel_archives/"
	"/figures/"
	"/Soumis/"
	"Makefile"
	"install_manifest.txt"
	"cmake_install.cmake"
	"cmake_install.cmake"
	"CMakeCache.txt"
	"CPackConfig.cmake"
	"CPackSourceConfig.cmake"
	"install_manifest.txt"
	"/CMakeFiles/"
	"/_CPack_Packages/"
	"/Debug/"
	"/Release/"
	"/\\\\.externalToolBuilders/"
	"/\\\\.svn/"
	"/\\\\.settings/"
	"Makefile"
	"\\\\.cdtbuild"
	"\\\\.cdtproject"
	"\\\\.project"
	"/win32/"
)
# cpack -G TGZ --config CPackSourceConfig.cmake
# dpkg-buildpackage -rfakeroot
configure_file (${populations_SOURCE_DIR}/src/config.h.cmake ${populations_SOURCE_DIR}/src/config.h)

#SET(CPACK_SOURCE_IGNORE_FILES "/CMakeFiles/;/_CPack_Packages/;/templates/;/debug/;/Debug/;/Release/;/\\\\.svn/;/\\\\.settings/;Makefile;\\\\.cdtbuild;\\\\.cdtproject;\\\\.project")
# cpack -G TGZ --config CPackSourceConfig.cmake
SET(CPACK_PACKAGE_EXECUTABLES "populations" "populations")


SET(CPACK_STRIP_FILES "src/populations")



# for debian package :
SET(CPACK_DEBIAN_PACKAGE_MAINTAINER "Olivier Langella <olivier.langella@moulon.inra.fr>")
SET(DEBIAN_PACKAGE_BUILDS_DEPENDS "Olivier Langella <olivier.langella@moulon.inra.fr>")
 


INCLUDE(CPack)

# The name of our project is "HELLO".  CMakeLists files in this project can
# refer to the root source directory of the project as ${HELLO_SOURCE_DIR} and
# to the root binary directory of the project as ${HELLO_BINARY_DIR}.
project (populations)

# Recurse into the "Hello" and "Demo" subdirectories.  This does not actually
# cause another cmake executable to run.  The same process will walk through
# the project's entire directory structure.
add_subdirectory (src)
if (NOT CMAKE_INSTALL_PREFIX)
	SET (CMAKE_INSTALL_PREFIX /usr/local)
endif (NOT CMAKE_INSTALL_PREFIX)
INSTALL(PROGRAMS src/populations DESTINATION bin)
#INSTALL(DIRECTORY doc/man1 DESTINATION share/man/man1)
#INSTALL(FILES doc/man1/beads.1 DESTINATION share/man/man1)

=== debian/changelog ===
populations (1.2.33-1) unstable; urgency=low

  * upgraded to the newest upstream version
  * removed the restriction on g++'s version in debian/rules, since the
    upstream files are compiled correctly in a Sid chroot.

 -- Georges Khaznadar <georgesk@ofset.org>  Sat, 23 Jul 2011 12:31:37 +0200

populations (1.2.32-3) unstable; urgency=low

  * fixed the bug due to precompiled binaries. Closes: #632338

 -- Georges Khaznadar <georgesk@ofset.org>  Fri, 01 Jul 2011 19:06:05 +0200

populations (1.2.32-2) unstable; urgency=low

  * modified copyright data for html/libcss/* and html/libjs/*, thanks to
    Luca Falavigna.
  * uploaded to NEW. (Closes: #631020)

 -- Georges Khaznadar <georgesk@ofset.org>  Thu, 30 Jun 2011 22:35:36 +0200

populations (1.2.32-1) unstable; urgency=low

  * Initial release (Closes: #631020)
  * Modified debian control files. Older ones are in the subdirectory
    debian.orig/
  * Created a manpage from existing documents.
  * Added build-dependencies: qt4-qmake, libqt4-dev,
    libfontconfig1-dev, libfreetype6-dev, libglib2.0-dev, libice-dev,
    libpng12-dev, libsm-dev, libx11-dev, libxext-dev, libxrender-dev,
    zlib1g-dev, g++-4.5
    .
    N.B.: the build-dependency on g++-4.5 is necessary because of a source
    which cannot be compiled with g++-4.6

 -- Georges Khaznadar <georgesk@ofset.org>  Sun, 19 Jun 2011 22:31:51 +0200

=== debian/control ===
Source: populations
Section: science
Priority: extra
Maintainer: Georges Khaznadar <georgesk@ofset.org>
Build-Depends: debhelper (>= 7.0.50~), cmake, qt4-qmake, libqt4-dev,
 libfontconfig1-dev, libfreetype6-dev, libglib2.0-dev, libice-dev,
 libpng12-dev, libsm-dev, libx11-dev, libxext-dev, libxrender-dev,
 zlib1g-dev,
 g++-4.5
Standards-Version: 3.9.2
Homepage: http://www.bioinformatics.org/~tryphon/populations/

Package: populations
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libqt4-xml (>= 4.5.2)
Description: population genetic software
 Populations is a population genetic software. It computes genetic
 distances between populations or individuals. It builds phylogenetic
 trees (NJ or UPGMA) with bootstrap values.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

#%:
#	export CC=gcc-4.5 CXX=g++-4.5; dh $@ 

%:
	dh $@ 

override_dh_auto_clean:
	dh_testdir
	rm -f src/populations
	dh_auto_clean
	dh_clean

override_dh_auto_install:
	dh_testdir
	cp obj*/src/populations src
	dh_auto_install
	dh_install

## populations 1.2.33%2Bsvn0120106%2Bdfsg

=== debian/changelog ===
populations (1.2.33+svn0120106+dfsg-8) unstable; urgency=medium

  * Team upload.
  * cmake-4.patch: new: bump minimum version to 3.10. (Closes: #1113418)
  * d/watch: convert to watch file version 5.
  * d/populations.1: fix sentence that made little sense.
    This was initially caught by lintian catching an "allows to" typo.
  * d/patches/*: normalize Last-Update timestamp.
  * d/control: declare compliance to standards version 4.7.2.
  * d/control: remove redundant Rules-Requires-Root: no.

 -- Étienne Mollier <emollier@debian.org>  Fri, 26 Sep 2025 20:11:40 +0200

populations (1.2.33+svn0120106+dfsg-7) unstable; urgency=medium

  * Team upload.
  * Remove "ubuntu" from the version number.

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 05 Apr 2024 09:30:19 +0200

populations (1.2.33+svn0120106+dfsg-6ubuntu3) unstable; urgency=medium

  * Team upload.

  [ Matthias Klose ]
  * Don't hard-code dependency on shared library.
    Closes: #1068424
  * Properly clean the generated install file

  [ Andreas Tille ]
  * Standards-Version: 4.6.2 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Remove constraints unnecessary since bullseye (oldstable):
    + Build-Depends: Replace dependency on transitional package
      libfreetype6-dev with replacement libfreetype-dev.
  * Lintian-overrides (see lintian bug #1017966)
  * Build-Depens: s/libfontconfig1-dev/libfontconfig-dev/

 -- Andreas Tille <tille@debian.org>  Fri, 05 Apr 2024 08:28:03 +0200

populations (1.2.33+svn0120106+dfsg-6) unstable; urgency=medium

  * Use DEB_HOST_GNU type for every arch since $(DEB_HOST_MULTIARCH)
    does not match the default build directory used by debhelper

 -- Nilesh Patra <npatra974@gmail.com>  Fri, 19 Feb 2021 19:30:33 +0530

populations (1.2.33+svn0120106+dfsg-5) unstable; urgency=medium

  * Use DEB_HOST_GNU_TYPE only with i386 (as a failsafe)

 -- Nilesh Patra <npatra974@gmail.com>  Fri, 19 Feb 2021 13:46:06 +0530

populations (1.2.33+svn0120106+dfsg-4) unstable; urgency=medium

  * Do not hardcode cmake to fix FTCBFS
  * Do not follow install instructions from CMakeLists.txt,
    but instead from d/*.install
  * Add myself to uploaders

 -- Nilesh Patra <npatra974@gmail.com>  Fri, 19 Feb 2021 12:25:42 +0530

populations (1.2.33+svn0120106+dfsg-3) unstable; urgency=medium

  * Team upload
  * Depends: s/libqt4-xml/libqt5xml5/
    Closes: #947227
  * debhelper-compat 12
  * Standards-Version: 4.4.1
  * Remove trailing whitespace in debian/rules
  * Use secure URI in Homepage field.

 -- Andreas Tille <tille@debian.org>  Mon, 23 Dec 2019 13:09:16 +0100

populations (1.2.33+svn0120106+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Add watch file
  * debhelper 11
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.2.1

 -- Andreas Tille <tille@debian.org>  Wed, 24 Oct 2018 15:16:40 +0200

populations (1.2.33+svn0120106+dfsg-1) unstable; urgency=medium

  [ Andreas Tille ]

  * [AT] Team upload
  * [AT] Take over packaging in Debian Med team maintenance
  * [AT] Priority: optional
  * [AT] cme fix dpkg-control
  * [AT] debhelper 10
  * [AT] cme fix dpkg-copyright
  * [AT] Switch to Qt5
    Closes:  #875097

  [ Georges Khaznadar ]

  * [GK] Mofified src/CMakeFiles.txt for Qt5 (GK = )

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 19 Nov 2017 16:58:18 +0100

populations (1.2.33+svn0120106-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "ftbfs with GCC-4.7": add patch from Paul Tagliamonte
    (use this->erase).
    Also drop unused and unneeded build-dependency on g++-4.5
    Closes: #667327

 -- gregor herrmann <gregoa@debian.org>  Sat, 21 Apr 2012 13:12:39 +0200

populations (1.2.33+svn0120106-2) unstable; urgency=low

  * changed a build-depends: libpng12-dev -> libpng-dev. Closes: #662477
  * upgraded Standards-Version to 3.9.3
  * added a missing indentation in debian/copyright

 -- Georges Khaznadar <georgesk@ofset.org>  Mon, 05 Mar 2012 09:16:37 +0000

populations (1.2.33+svn0120106-1) unstable; urgency=low

  * upgraded to the latest release.
  * modified debian/rules to cope with cmake
  * checked the compilation with g++-4.6; Closes: #654734

 -- Georges Khaznadar <georgesk@ofset.org>  Fri, 06 Jan 2012 16:18:14 +0100

## populations 1.2.33+svn0120106

=== debian/control ===
--- 
+++ 
@@ -4,10 +4,9 @@
 Maintainer: Georges Khaznadar <georgesk@ofset.org>
 Build-Depends: debhelper (>= 7.0.50~), cmake, qt4-qmake, libqt4-dev,
  libfontconfig1-dev, libfreetype6-dev, libglib2.0-dev, libice-dev,
- libpng12-dev, libsm-dev, libx11-dev, libxext-dev, libxrender-dev,
- zlib1g-dev,
- g++-4.5
-Standards-Version: 3.9.2
+ libpng-dev, libsm-dev, libx11-dev, libxext-dev, libxrender-dev,
+ zlib1g-dev
+Standards-Version: 3.9.3
 Homepage: http://www.bioinformatics.org/~tryphon/populations/
 
 Package: populations

=== debian/rules ===
--- 
+++ 
@@ -9,20 +9,19 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-#%:
-#	export CC=gcc-4.5 CXX=g++-4.5; dh $@ 
+DESTDIR=debian/populations
 
 %:
 	dh $@ 
+override_dh_auto_configure:
+	cmake -DCMAKE_INSTALL_PREFIX=/usr .
+	dh_auto_configure
 
 override_dh_auto_clean:
 	dh_testdir
 	rm -f src/populations
+	rm -rf CMakeFiles src/CMakeFiles Makefile src/Makefile src/config.h \
+	       *.cmake src/cmake_install.cmake CMakeCache.txt \
+	       install_manifest.txt
 	dh_auto_clean
 	dh_clean
-
-override_dh_auto_install:
-	dh_testdir
-	cp obj*/src/populations src
-	dh_auto_install
-	dh_install

## populations 1.2.33+svn0120106+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -63,6 +63,7 @@
 #CMAKE_CXX_FLAGS_RELEASE         -O3 -DNDEBUG
 #CMAKE_CXX_FLAGS_RELWITHDEBINFO  -O2 -g
 
+SET (POPULATIONS_VERSION "1.2.33")
 
 SET(CPACK_CMAKE_GENERATOR "Unix Makefiles")
 SET(CPACK_GENERATOR "STGZ;TGZ;TZ")
@@ -72,23 +73,22 @@
 SET(CPACK_PACKAGE_DESCRIPTION_FILE ${populations_SOURCE_DIR}/COPYING)
 SET(CPACK_PACKAGE_DESCRIPTION_SUMMARY "Populations is population genetic software")
 SET(CPACK_PACKAGE_EXECUTABLES "populations")
-SET(CPACK_PACKAGE_FILE_NAME "populations-1.2.32-Linux-i686")
-SET(CPACK_PACKAGE_INSTALL_DIRECTORY "populations 1.2.32")
-SET(CPACK_PACKAGE_INSTALL_REGISTRY_KEY "populations 1.2.32")
+SET(CPACK_PACKAGE_FILE_NAME "populations-${POPULATIONS_VERSION}-Linux-i686")
+SET(CPACK_PACKAGE_INSTALL_DIRECTORY "populations ${POPULATIONS_VERSION}")
+SET(CPACK_PACKAGE_INSTALL_REGISTRY_KEY "populations ${POPULATIONS_VERSION}")
 SET(CPACK_PACKAGE_NAME "populations")
 SET(CPACK_PACKAGE_VENDOR "CNRS")
-SET (POPULATIONS_VERSION "1.2.32")
 SET(CPACK_PACKAGE_VERSION ${POPULATIONS_VERSION})
 SET(CPACK_PACKAGE_VERSION_MAJOR "1")
 SET(CPACK_PACKAGE_VERSION_MINOR "2")
-SET(CPACK_PACKAGE_VERSION_PATCH "32")
+SET(CPACK_PACKAGE_VERSION_PATCH "33")
 SET(CPACK_RESOURCE_FILE_LICENSE ${populations_SOURCE_DIR}/COPYING)
 SET(CPACK_RESOURCE_FILE_README ${populations_SOURCE_DIR}/README)
 SET(CPACK_RESOURCE_FILE_WELCOME ${populations_SOURCE_DIR}/INSTALL)
 SET(CPACK_RESOURCE_FILE_LICENSE ${populations_SOURCE_DIR}/ChangeLog)
 SET(CPACK_SOURCE_GENERATOR "TGZ;TZ")
 SET(CPACK_SOURCE_OUTPUT_CONFIG_FILE "./CPackSourceConfig.cmake")
-SET(CPACK_SOURCE_PACKAGE_FILE_NAME "populations-1.2.32")
+SET(CPACK_SOURCE_PACKAGE_FILE_NAME "populations-${POPULATIONS_VERSION}")
 SET(CPACK_SOURCE_STRIP_FILES "")
 SET(CPACK_STRIP_FILES "bin/populations")
 SET(CPACK_SYSTEM_NAME "Linux-i686")

=== Makefile ===
# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 2.8

# Default target executed when no arguments are given to make.
default_target: all
.PHONY : default_target

#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canoncical targets will work.
.SUFFIXES:

# Remove some rules from gmake that .SUFFIXES does not remove.
SUFFIXES =

.SUFFIXES: .hpux_make_needs_suffix_list

# Suppress display of executed commands.
$(VERBOSE).SILENT:

# A target that is always out of date.
cmake_force:
.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /usr/bin/cmake

# The command to remove a file.
RM = /usr/bin/cmake -E remove -f

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /home/olivier/eclipse/populations

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /home/olivier/eclipse/populations

#=============================================================================
# Targets provided globally by CMake.

# Special rule for the target edit_cache
edit_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running interactive CMake command-line interface..."
	/usr/bin/cmake -i .
.PHONY : edit_cache

# Special rule for the target edit_cache
edit_cache/fast: edit_cache
.PHONY : edit_cache/fast

# Special rule for the target install
install: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/usr/bin/cmake -P cmake_install.cmake
.PHONY : install

# Special rule for the target install
install/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/usr/bin/cmake -P cmake_install.cmake
.PHONY : install/fast

# Special rule for the target install/local
install/local: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing only the local directory..."
	/usr/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local

# Special rule for the target install/local
install/local/fast: install/local
.PHONY : install/local/fast

# Special rule for the target install/strip
install/strip: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing the project stripped..."
	/usr/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip

# Special rule for the target install/strip
install/strip/fast: install/strip
.PHONY : install/strip/fast

# Special rule for the target list_install_components
list_install_components:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Available install components are: \"Unspecified\""
.PHONY : list_install_components

# Special rule for the target list_install_components
list_install_components/fast: list_install_components
.PHONY : list_install_components/fast

# Special rule for the target package
package: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Run CPack packaging tool..."
	/usr/bin/cpack --config ./CPackConfig.cmake
.PHONY : package

# Special rule for the target package
package/fast: package
.PHONY : package/fast

# Special rule for the target package_source
package_source:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Run CPack packaging tool for source..."
	/usr/bin/cpack --config ./CPackSourceConfig.cmake /home/olivier/eclipse/populations/CPackSourceConfig.cmake
.PHONY : package_source

# Special rule for the target package_source
package_source/fast: package_source
.PHONY : package_source/fast

# Special rule for the target rebuild_cache
rebuild_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake to regenerate build system..."
	/usr/bin/cmake -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : rebuild_cache

# Special rule for the target rebuild_cache
rebuild_cache/fast: rebuild_cache
.PHONY : rebuild_cache/fast

# The main all target
all: cmake_check_build_system
	$(CMAKE_COMMAND) -E cmake_progress_start /home/olivier/eclipse/populations/CMakeFiles /home/olivier/eclipse/populations/CMakeFiles/progress.marks
	$(MAKE) -f CMakeFiles/Makefile2 all
	$(CMAKE_COMMAND) -E cmake_progress_start /home/olivier/eclipse/populations/CMakeFiles 0
.PHONY : all

# The main clean target
clean:
	$(MAKE) -f CMakeFiles/Makefile2 clean
.PHONY : clean

# The main clean target
clean/fast: clean
.PHONY : clean/fast

# Prepare targets for installation.
preinstall: all
	$(MAKE) -f CMakeFiles/Makefile2 preinstall
.PHONY : preinstall

# Prepare targets for installation.
preinstall/fast:
	$(MAKE) -f CMakeFiles/Makefile2 preinstall
.PHONY : preinstall/fast

# clear depends
depend:
	$(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 1
.PHONY : depend

#=============================================================================
# Target rules for targets named populations

# Build rule for target.
populations: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 populations
.PHONY : populations

# fast build rule for target.
populations/fast:
	$(MAKE) -f src/CMakeFiles/populations.dir/build.make src/CMakeFiles/populations.dir/build
.PHONY : populations/fast

# Help Target
help:
	@echo "The following are some of the valid targets for this Makefile:"
	@echo "... all (the default if no target is provided)"
	@echo "... clean"
	@echo "... depend"
	@echo "... edit_cache"
	@echo "... install"
	@echo "... install/local"
	@echo "... install/strip"
	@echo "... list_install_components"
	@echo "... package"
	@echo "... package_source"
	@echo "... rebuild_cache"
	@echo "... populations"
.PHONY : help



#=============================================================================
# Special targets to cleanup operation of make.

# Special rule to run CMake to check the build system integrity.
# No rule that depends on this can have commands that come from listfiles
# because they might be regenerated.
cmake_check_build_system:
	$(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 0
.PHONY : cmake_check_build_system

=== src/CMakeLists.txt ===

# this command finds Qt4 libraries and sets all required variables
# note that it's Qt4, not QT4 or qt4
#/usr/share/cmake-2.6/Modules/FindQt4.cmake
SET (QT_USE_QTXML true)
FIND_PACKAGE( Qt4 REQUIRED )

INCLUDE( ${QT_USE_FILE} )

#FIND_PACKAGE(X11 REQUIRED)
#FIND_PACKAGE(FindThreads REQUIRED)

IF(WIN32)
  ADD_DEFINITIONS(-DMINGW32)
ENDIF(WIN32)

#INCLUDE_DIRECTORIES(X11_INCLUDE_DIR)
# X11_FOUND is true if X11 is available.
#    * X11_INCLUDE_DIR contains the include directories to use X11.
#    * X11_LIBRARIES points to the libraries to link against to use X11.
# Make sure the compiler can find include files from our Hello library.
#include_directories (${X11_INCLUDE_DIR})

# -m -pthread FindThreads


# Make sure the linker can find the Hello library once it is built.
#link_directories (${X11_INCLUDE_DIR})

add_executable (populations populations.cpp distgnt.cpp jeupopexp.cpp fstat.cpp jeupop.cpp applpop.cpp applpopulations.cpp matrices.cpp applications.cpp 
arbre.cpp arbreplus.cpp couleur.cpp vecteurs.cpp locus.cpp allele.cpp individu.cpp strucpop.cpp chaineficpop.cpp metapop.cpp population.cpp) 


IF(WIN32)
	target_link_libraries (populations ${QT_LIBRARIES})
ELSE(WIN32)
	target_link_libraries (populations ${QT_LIBRARIES} m)
ENDIF(WIN32)

=== src/Makefile ===
# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 2.8

# Default target executed when no arguments are given to make.
default_target: all
.PHONY : default_target

#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canoncical targets will work.
.SUFFIXES:

# Remove some rules from gmake that .SUFFIXES does not remove.
SUFFIXES =

.SUFFIXES: .hpux_make_needs_suffix_list

# Produce verbose output by default.
VERBOSE = 1

# Suppress display of executed commands.
$(VERBOSE).SILENT:

# A target that is always out of date.
cmake_force:
.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /usr/bin/cmake

# The command to remove a file.
RM = /usr/bin/cmake -E remove -f

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /home/georgesk/developpement/populations/populations-1.2.33+svn0120106

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /home/georgesk/developpement/populations/populations-1.2.33+svn0120106

#=============================================================================
# Targets provided globally by CMake.

# Special rule for the target edit_cache
edit_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running interactive CMake command-line interface..."
	/usr/bin/cmake -i .
.PHONY : edit_cache

# Special rule for the target edit_cache
edit_cache/fast: edit_cache
.PHONY : edit_cache/fast

# Special rule for the target install
install: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/usr/bin/cmake -P cmake_install.cmake
.PHONY : install

# Special rule for the target install
install/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/usr/bin/cmake -P cmake_install.cmake
.PHONY : install/fast

# Special rule for the target install/local
install/local: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing only the local directory..."
	/usr/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local

# Special rule for the target install/local
install/local/fast: install/local
.PHONY : install/local/fast

# Special rule for the target install/strip
install/strip: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing the project stripped..."
	/usr/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip

# Special rule for the target install/strip
install/strip/fast: install/strip
.PHONY : install/strip/fast

# Special rule for the target list_install_components
list_install_components:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Available install components are: \"Unspecified\""
.PHONY : list_install_components

# Special rule for the target list_install_components
list_install_components/fast: list_install_components
.PHONY : list_install_components/fast

# Special rule for the target package
package: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Run CPack packaging tool..."
	cd /home/georgesk/developpement/populations/populations-1.2.33+svn0120106 && /usr/bin/cpack --config ./CPackConfig.cmake
.PHONY : package

# Special rule for the target package
package/fast: package
.PHONY : package/fast

# Special rule for the target package_source
package_source:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Run CPack packaging tool for source..."
	cd /home/georgesk/developpement/populations/populations-1.2.33+svn0120106 && /usr/bin/cpack --config ./CPackSourceConfig.cmake /home/georgesk/developpement/populations/populations-1.2.33+svn0120106/CPackSourceConfig.cmake
.PHONY : package_source

# Special rule for the target package_source
package_source/fast: package_source
.PHONY : package_source/fast

# Special rule for the target rebuild_cache
rebuild_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake to regenerate build system..."
	/usr/bin/cmake -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : rebuild_cache

# Special rule for the target rebuild_cache
rebuild_cache/fast: rebuild_cache
.PHONY : rebuild_cache/fast

# The main all target
all: cmake_check_build_system
	cd /home/georgesk/developpement/populations/populations-1.2.33+svn0120106 && $(CMAKE_COMMAND) -E cmake_progress_start /home/georgesk/developpement/populations/populations-1.2.33+svn0120106/CMakeFiles /home/georgesk/developpement/populations/populations-1.2.33+svn0120106/src/CMakeFiles/progress.marks
	cd /home/georgesk/developpement/populations/populations-1.2.33+svn0120106 && $(MAKE) -f CMakeFiles/Makefile2 src/all
	$(CMAKE_COMMAND) -E cmake_progress_start /home/georgesk/developpement/populations/populations-1.2.33+svn0120106/CMakeFiles 0
.PHONY : all

# The main clean target
clean:
	cd /home/georgesk/developpement/populations/populations-1.2.33+svn0120106 && $(MAKE) -f CMakeFiles/Makefile2 src/clean
.PHONY : clean

# The main clean target
clean/fast: clean
.PHONY : clean/fast

# Prepare targets for installation.
preinstall: all
	cd /home/georgesk/developpement/populations/populations-1.2.33+svn0120106 && $(MAKE) -f CMakeFiles/Makefile2 src/preinstall
.PHONY : preinstall

# Prepare targets for installation.
preinstall/fast:
	cd /home/georgesk/developpement/populations/populations-1.2.33+svn0120106 && $(MAKE) -f CMakeFiles/Makefile2 src/preinstall
.PHONY : preinstall/fast

# clear depends
depend:
	cd /home/georgesk/developpement/populations/populations-1.2.33+svn0120106 && $(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 1
.PHONY : depend

# Convenience name for target.
src/CMakeFiles/populations.dir/rule:
	cd /home/georgesk/developpement/populations/populations-1.2.33+svn0120106 && $(MAKE) -f CMakeFiles/Makefile2 src/CMakeFiles/populations.dir/rule
.PHONY : src/CMakeFiles/populations.dir/rule

# Convenience name for target.
populations: src/CMakeFiles/populations.dir/rule
.PHONY : populations

# fast build rule for target.
populations/fast:
	cd /home/georgesk/developpement/populations/populations-1.2.33+svn0120106 && $(MAKE) -f src/CMakeFiles/populations.dir/build.make src/CMakeFiles/populations.dir/build
.PHONY : populations/fast

allele.o: allele.cpp.o
.PHONY : allele.o

# target to build an object file
allele.cpp.o:
	cd /home/georgesk/developpement/populations/populations-1.2.33+svn0120106 && $(MAKE) -f src/CMakeFiles/populations.dir/build.make src/CMakeFiles/populations.dir/allele.cpp.o
.PHONY : allele.cpp.o

allele.i: allele.cpp.i
.PHONY : allele.i

# target to preprocess a source file
allele.cpp.i:
	cd /home/georgesk/developpement/populations/populations-1.2.33+svn0120106 && $(MAKE) -f src/CMakeFiles/populations.dir/build.make src/CMakeFiles/populations.dir/allele.cpp.i
.PHONY : allele.cpp.i

allele.s: allele.cpp.s
.PHONY : allele.s

# target to generate assembly for a file
allele.cpp.s:
	cd /home/georgesk/developpement/populations/populations-1.2.33+svn0120106 && $(MAKE) -f src/CMakeFiles/populations.dir/build.make src/CMakeFiles/populations.dir/allele.cpp.s
.PHONY : allele.cpp.s

applications.o: applications.cpp.o
.PHONY : applications.o

# target to build an object file
applications.cpp.o:
	cd /home/georgesk/developpement/populations/populations-1.2.33+svn0120106 && $(MAKE) -f src/CMakeFiles/populations.dir/build.make src/CMakeFiles/populations.dir/applications.cpp.o
.PHONY : applications.cpp.o

applications.i: applications.cpp.i
.PHONY : applications.i

# target to preprocess a source file
applications.cpp.i:
	cd /home/georgesk/developpement/populations/populations-1.2.33+svn0120106 && $(MAKE) -f src/CMakeFiles/populations.dir/build.make src/CMakeFiles/populations.dir/applications.cpp.i
.PHONY : applications.cpp.i

applications.s: applications.cpp.s
.PHONY : applications.s

# target to generate assembly for a file
applications.cpp.s:
	cd /home/georgesk/developpement/populations/populations-1.2.33+svn0120106 && $(MAKE) -f src/CMakeFiles/populations.dir/build.make src/CMakeFiles/populations.dir/applications.cpp.s
.PHONY : applications.cpp.s

applpop.o: applpop.cpp.o
.PHONY : applpop.o

# target to build an object file
applpop.cpp.o:
	cd /home/georgesk/developpement/populations/populations-1.2.33+svn0120106 && $(MAKE) -f src/CMakeFiles/populations.dir/build.make src/CMakeFiles/populations.dir/applpop.cpp.o
.PHONY : applpop.cpp.o

applpop.i: applpop.cpp.i
.PHONY : applpop.i

# target to preprocess a source file
applpop.cpp.i:
	cd /home/georgesk/developpement/populations/populations-1.2.33+svn0120106 && $(MAKE) -f src/CMakeFiles/populations.dir/build.make src/CMakeFiles/populations.dir/applpop.cpp.i
.PHONY : applpop.cpp.i

applpop.s: applpop.cpp.s
.PHONY : applpop.s

# target to generate assembly for a file
applpop.cpp.s:
	cd /home/georgesk/developpement/populations/populations-1.2.33+svn0120106 && $(MAKE) -f src/CMakeFiles/populations.dir/build.make src/CMakeFiles/populations.dir/applpop.cpp.s
.PHONY : applpop.cpp.s

applpopulations.o: applpopulations.cpp.o
.PHONY : applpopulations.o

# target to build an object file
applpopulations.cpp.o:
	cd /home/georgesk/developpement/populations/populations-1.2.33+svn0120106 && $(MAKE) -f src/CMakeFiles/populations.dir/build.make src/CMakeFiles/populations.dir/applpopulations.cpp.o
.PHONY : applpopulations.cpp.o

applpopulations.i: applpopulations.cpp.i
.PHONY : applpopulations.i

# target to preprocess a source file
applpopulations.cpp.i:
	cd /home/georgesk/developpement/populations/populations-1.2.33+svn0120106 && $(MAKE) -f src/CMakeFiles/populations.dir/build.make src/CMakeFiles/populations.dir/applpopulations.cpp.i
.PHONY : applpopulations.cpp.i

applpopulations.s: applpopulations.cpp.s
.PHONY : applpopulations.s

# target to generate assembly for a file
applpopulations.cpp.s:
	cd /home/georgesk/developpement/populations/populations-1.2.33+svn0120106 && $(MAKE) -f src/CMakeFiles/populations.dir/build.make src/CMakeFiles/populations.dir/applpopulations.cpp.s
.PHONY : applpopulations.cpp.s

arbre.o: arbre.cpp.o
.PHONY : arbre.o

# target to build an object file
arbre.cpp.o:
	cd /home/georgesk/developpement/populations/populations-1.2.33+svn0120106 && $(MAKE) -f src/CMakeFiles/populations.dir/build.make src/CMakeFiles/populations.dir/arbre.cpp.o
.PHONY : arbre.cpp.o

arbre.i: arbre.cpp.i
.PHONY : arbre.i

# target to preprocess a source file
arbre.cpp.i:
	cd /home/georgesk/developpement/populations/populations-1.2.33+svn0120106 && $(MAKE) -f src/CMakeFiles/populations.dir/build.make src/CMakeFiles/populations.dir/arbre.cpp.i
.PHONY : arbre.cpp.i

arbre.s: arbre.cpp.s
.PHONY : arbre.s

# target to generate assembly for a file
arbre.cpp.s:
	cd /home/georgesk/developpement/populations/populations-1.2.33+svn0120106 && $(MAKE) -f src/CMakeFiles/populations.dir/build.make src/CMakeFiles/populations.dir/arbre.cpp.s
.PHONY : arbre.cpp.s

arbreplus.o: arbreplus.cpp.o
.PHONY : arbreplus.o

# target to build an object file
arbreplus.cpp.o:
	cd /home/georgesk/developpement/populations/populations-1.2.33+svn0120106 && $(MAKE) -f src/CMakeFiles/populations.dir/build.make src/CMakeFiles/populations.dir/arbreplus.cpp.o
.PHONY : arbreplus.cpp.o

arbreplus.i: arbreplus.cpp.i
.PHONY : arbreplus.i

# target to preprocess a source file
arbreplus.cpp.i:
	cd /home/georgesk/developpement/populations/populations-1.2.33+svn0120106 && $(MAKE) -f src/CMakeFiles/populations.dir/build.make src/CMakeFiles/populations.dir/arbreplus.cpp.i
.PHONY : arbreplus.cpp.i

arbreplus.s: arbreplus.cpp.s
.PHONY : arbreplus.s

# target to generate assembly for a file
arbreplus.cpp.s:

=== debian/changelog ===
populations (1.2.33+svn0120106+dfsg-6ubuntu3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:13:14 +1100

populations (1.2.33+svn0120106+dfsg-6ubuntu2) noble; urgency=medium

  * Properly clean the generated install file.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 24 Mar 2024 13:04:12 +0100

populations (1.2.33+svn0120106+dfsg-6ubuntu1) noble; urgency=medium

  * Don't hard-code dependency on shared library.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 23 Mar 2024 23:12:38 +0100

=== debian/control ===
Source: populations
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Georges Khaznadar <georgesk@ofset.org>,
           Nilesh Patra <npatra974@gmail.com>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 12),
               cmake,
               qt5-qmake,
               qtbase5-dev,
               qttools5-dev,
               libfontconfig1-dev,
               libfreetype6-dev,
               libglib2.0-dev,
               libice-dev,
               libpng-dev,
               libsm-dev,
               libx11-dev,
               libxext-dev,
               libxrender-dev,
               zlib1g-dev
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/med-team/populations
Vcs-Git: https://salsa.debian.org/med-team/populations.git
Homepage: https://www.bioinformatics.org/~tryphon/populations/

Package: populations
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${lib:Depends}
Description: population genetic software
 Populations is a population genetic software. It computes genetic
 distances between populations or individuals. It builds phylogenetic
 trees (NJ or UPGMA) with bootstrap values.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DESTDIR=debian/populations

export QT_SELECT=qt5

%:
	dh $@

override_dh_auto_install: debian/populations.install
	dh_auto_install

debian/%.install: debian/%.install.in
	sed 's/@DEB_HOST_GNU_TYPE@/$(DEB_HOST_GNU_TYPE)/g' $< > $@

override_dh_auto_clean:
	dh_testdir
	rm -f debian/populations.install
	rm -f src/populations
	rm -rf CMakeFiles src/CMakeFiles Makefile src/Makefile src/config.h \
	       *.cmake src/cmake_install.cmake CMakeCache.txt \
	       install_manifest.txt
	dh_auto_clean
	dh_clean

override_dh_gencontrol:
	dh_gencontrol -- \
	  -Vlib:Depends=$(shell dpkg-query -W -f '$${Depends}' qtbase5-dev \
			| sed -E 's/.*(libqt5xml[[:alnum:].-]+).*/\1/')
